# Get registered executors

> Source: https://docs.clonepartner.com/api-reference/server/get-server-executors/

`GET /api/server/executors`

Get registered executors

**Operation ID:** `getServerExecutors`

## Authentication

### Option 1

- **BearerAuth** (`http bearer`)
  API key token. Create via POST /api/api-keys. Format: `envoy_<hex>`

### Option 2

- **CookieAuth** (`apiKey`)
  Session cookie set after login + TOTP verification

## Success responses

### 200

List of registered executors

**Content type:** `application/json`

- Type: `object`
- Properties:
  - `executors` (`array<object>`)
    - Items:
      - Type: `object`

## Examples

### cURL

```bash
curl --request GET \
  --url 'https://your-envoy.example.com/api/server/executors' \
  --header 'Authorization: Bearer $API_KEY'
```

### JavaScript (fetch)

```javascript
const response = await fetch('https://your-envoy.example.com/api/server/executors', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
  },
});

if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);
```
